Get all companies
GET
https://api.expirationreminder.com/v1/companiesQuery Parameters
term
stringOptionalDefault:
page
integerOptionalDefault: -1
sort
stringOptionalDefault:
sortDirection
stringOptionalDefault: asc
GET /v1/companies
$ curl https://api.expirationreminder.com/v1/companies \
-H "Authorization: Bearer <token>"
Responses
| Property | Type | Description |
|---|---|---|
companies |
CompanyModel[] |
- |
pages |
integer (int32) |
- |
page |
integer (int32) |
- |
total |
integer (int32) |
- |
Example Response
{
"companies": [
{
"id": "00000000-0000-0000-0000-000000000000",
"name": "string",
"doing_business_as": "string",
"phone": "string",
"website": "string",
"address_line_1": "string",
"address_line_2": "string",
"city": "string",
"province": "string",
"postal_code": "string",
"country_id": "00000000-0000-0000-0000-000000000000",
"tax_id": "string",
"tax_type_id": 0,
"type_id": "00000000-0000-0000-0000-000000000000",
"primary_contact_id": "00000000-0000-0000-0000-000000000000",
"assigned_to": {
"name": "string",
"email": "string",
"id": "00000000-0000-0000-0000-000000000000",
"team_id": "00000000-0000-0000-0000-000000000000"
},
"team_id": "00000000-0000-0000-0000-000000000000",
"is_archived": false,
"modified": "string",
"custom_fields": [
{
"id": "00000000-0000-0000-0000-000000000000",
"name": "string",
"value": "string"
}
]
}
],
"pages": 0,
"page": 0,
"total": 0
}Bad Request
| Property | Type | Description |
|---|---|---|
message |
string |
- |
ok |
boolean |
- |
Example Response
{
"message": "string",
"ok": false
}